# Parsing
require 'yaml'
require 'osx_keychain'
require 'erb'
require 'active_support/core_ext/hash/indifferent_access'

# Helpers
require 'ios_polyglot_cli/helpers/depaginate'
require 'ios_polyglot_cli/helpers/terminal'
require 'ios_polyglot_cli/helpers/general'

# JSON API Resources
require 'json_api_client'
require 'ios_polyglot_cli/api/base'
require 'ios_polyglot_cli/api/language'
require 'ios_polyglot_cli/api/project'
require 'ios_polyglot_cli/api/session'
require 'ios_polyglot_cli/api/translation'
require 'ios_polyglot_cli/api/translation_key'

# File Accessors
require 'ios_polyglot_cli/io/token'
require 'ios_polyglot_cli/io/config'

# Serializers
require 'ios_polyglot_cli/serializers/translations/translations_serializer'
require 'ios_polyglot_cli/serializers/languages/languages_serializer_objc'
require 'ios_polyglot_cli/serializers/languages/languages_serializer_swift'
require 'ios_polyglot_cli/serializers/sources/sources_serializer_swift'

# Commands
require 'ios_polyglot_cli/commands/login'
require 'ios_polyglot_cli/commands/projects'
require 'ios_polyglot_cli/commands/setup'
require 'ios_polyglot_cli/commands/pull'

# Error Handler
require 'ios_polyglot_cli/error_handler'
require 'ios_polyglot_cli/version'

module PolyglotIos

end
