module PolyglotIos
  module Serializer
    module Language
      class Base
        include ERB::Util
        attr_accessor :languages

        def initialize(languages)
          @languages = languages
        end
        
        def render()
          ERB.new(template, nil, '-').result(binding)
        end

        def template()
          fail NotImplementedError, 'Abstract Method'
        end

        def save(path)
          fail NotImplementedError, 'Abstract Method'
        end

      end
    end
  end
end